Package org.eclipse.emf.cdo.edit

# Class CDOItemProviderAdapter.AdaptersDescriptor

java.lang.Object
org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor
org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.AdaptersDescriptor

All Implemented Interfaces:
  `IItemLabelProvider`, `IItemPropertyDescriptor`

Enclosing class:
  `CDOItemProviderAdapter`

@Deprecated public static class CDOItemProviderAdapter.AdaptersDescriptor extends CDOItemProviderAdapter.CDOPropertyDescriptor
Deprecated.
As of 4.4 not used any more.
Adds the `eAdapters` list of a `CDOObject` to the Properties view.

Since:
  2.0
Author:
  Victor Roldan Betancort

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

`CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider`

## Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor

`IItemPropertyDescriptor.OverrideableCommandOwner, IItemPropertyDescriptor.ValueHandler, IItemPropertyDescriptor.ValueHandlerProvider`

## Field Summary

### Fields inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

`CDO_CATEGORY, FILTER_ID_EXPERT`

## Constructor Summary

Constructors
Constructor
Description
`AdaptersDescriptor()`
Deprecated.

## Method Summary

### Methods inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

`canSetProperty, getCategory, getChoiceOfValues, getDescription, getDisplayName, getFeature, getFilterFlags, getHelpContextIds, getId, getImage, getLabelProvider, getProperty, getPropertyValue, getText, isCompatibleWith, isMany, isMultiLine, isPropertySet, isSortChoices, resetPropertyValue, setPropertyValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdaptersDescriptor

public AdaptersDescriptor()
Deprecated.